Bug 466282 - Device creation on KVM guest limited upto vdz
Device creation on KVM guest limited upto vdz
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 11:19 EDT by Sanjay Rao
Modified: 2013-01-09 06:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 05:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanjay Rao 2008-10-09 11:19:20 EDT
Description of problem:

I am trying to do my database testing with raw devices. I defined devices as follows

.
.
.
<disk type='block' device='disk'>
      <source dev='/dev/perfvg/system_001'/>
      <target dev='vdz' bus='virtio'/>
    </disk>
    <disk type='block' device='disk'>
      <source dev='/dev/perfvg/temp_0_0'/>
      <target dev='vdaa' bus='virtio'/>
    </disk>
    <disk type='block' device='disk'>
      <source dev='/dev/perfvg/undo_sys_ts.dbf'/>
      <target dev='vdab' bus='virtio'/>
    </disk>
    <disk type='block' device='disk'>
      <source dev='/dev/perfvg/ware_0_0'/>
      <target dev='vdac' bus='virtio'/>
    </disk>
.
.
.


But in my guest I see devices only upto vdz. The vdaa, vdab and vdac devices were not created.

After exchanging emails, it was narrowed down to libvirt code.

src/util.c::virDiskNameToIndex()
    int idx = 0;
...
    while (*ptr) {
        idx = idx * 26;

        if (!c_islower(*ptr))
            return -1;

        idx += *ptr - 'a';  <-- looks broken here
        ptr++;
    }





Version-Release number of selected component (if applicable):


How reproducible:

Readily reproducible

Steps to Reproduce:
1. Create KVM guest with raw devices exceeding vdz  (eg vdaa, ..
2. Start guest and devices are created only upto vdz
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Veillard 2008-10-10 04:02:57 EDT
Hum, there is a serious problem with this bug report, it states
RhEL-5.3, but KVM is not supported on 5.3 and the libvirt for
5.3 really is not ready for KVM.
I cannot infer from that bug report which version of libvirt is being
used, and in any case KVM support for libvirt in 5.3 is not fixable
with a simple device patch.
Can you clarify the versions used ?
If the fix is needed upstream, then the mailing-list is a better place
to carry this request.

Daniel
Comment 2 Daniel Veillard 2008-10-10 05:36:52 EDT
Note that the fix was commited upstream:

https://www.redhat.com/archives/libvir-list/2008-October/msg00270.html

but I'm not sure we can do this for RHEL-5.3 proper, virDiskNameToIndex
doesn't exist in 0.3.3, only if we rebase in RHEL will this need to be
applied.

Daniel
Comment 3 Chris Wright 2008-10-10 12:24:51 EDT
This was simply mis-filed, should be oVirt.

Note You need to log in before you can comment on or make changes to this bug.